# osh
# Copyright (C) 2005 Jack Orenstein <jao@geophile.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

"""Usage: version

Sends the version of this installation to the output stream.
"""

import osh.oshconfig
import osh.oshobjects

def version(*args):
    return _Version().process_args(*args)

class _Version(osh.oshobjects.Generator):

    # object interface

    def __init__(self):
        osh.oshobjects.Generator.__init__(self, '', (0, 0))


    # BaseOp interface
    
    def doc(self):
        return __doc__

    # Generator interface
    
    def execute(self):
        self.send(osh.oshconfig.OSH_VERSION)
        self.send_complete()
